<html>
<head>
<title>OGRE: Ogre::ExternalTextureSource Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a></div>
<h1>Ogre::ExternalTextureSource Class Reference</h1><!-- doxytag: class="Ogre::ExternalTextureSource" --><!-- doxytag: inherits="Ogre::StringInterface" -->IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ExternalTextureSource:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ExternalTextureSource-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#0e34ec6e53b5700a266933002bc79304">ExternalTextureSource</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#0e34ec6e53b5700a266933002bc79304"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a919b910a2fbfb4fb250265545730468">~ExternalTextureSource</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Virtual destructor.  <a href="#a919b910a2fbfb4fb250265545730468"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#ae89efb61be047a316c0baebdee9a7b2">setInputName</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> sIN)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets an input file name - if needed by plugin.  <a href="#ae89efb61be047a316c0baebdee9a7b2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#d196bc06c24c0d17890a760dae247d3d">getInputName</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets currently set input file name.  <a href="#d196bc06c24c0d17890a760dae247d3d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#e13e199734e244f9155e28a4d534cee3">setFPS</a> (int iFPS)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the frames per second - plugin may or may not use this.  <a href="#e13e199734e244f9155e28a4d534cee3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#10eac58cfe245bb52a9c2c61f0b41006">getFPS</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets currently set frames per second.  <a href="#10eac58cfe245bb52a9c2c61f0b41006"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#6fdbcf165cc87a51d9a6436162e04080">setPlayMode</a> (<a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a> eMode)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets a play mode.  <a href="#6fdbcf165cc87a51d9a6436162e04080"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#61b4f8e7e8c76590e0133222645356f6">getPlayMode</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets currently set play mode.  <a href="#61b4f8e7e8c76590e0133222645356f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a19976a1f1c0399882c95e26ece310dc">setTextureTecPassStateLevel</a> (int t, int p, int s)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used for attaching texture to <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>, State, and texture unit layer.  <a href="#a19976a1f1c0399882c95e26ece310dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#01a93264e389d82bd9f61141f2f07b0c">getTextureTecPassStateLevel</a> (int &amp;t, int &amp;p, int &amp;s) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get currently selected Textute attribs.  <a href="#01a93264e389d82bd9f61141f2f07b0c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#55ce04b61a516a3e0d4286230f41bb84">addBaseParams</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Call from derived classes to ensure the dictionary is setup.  <a href="#55ce04b61a516a3e0d4286230f41bb84"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#45f4862bcf2bc44a982aa6a0524e5953">getPlugInStringName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the string name of this PlugIn (as set by the PlugIn).  <a href="#45f4862bcf2bc44a982aa6a0524e5953"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a28903862b13998da8b8b0fb428dfb8e">getDictionaryStringName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns dictionary name.  <a href="#a28903862b13998da8b8b0fb428dfb8e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#4a1824ba326c263664991a548fe0658e">initialise</a> ()=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Call this function from manager to init system.  <a href="#4a1824ba326c263664991a548fe0658e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#cc278d166ca69e6a171a2ff12bc74b9f">shutDown</a> ()=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shuts down PlugIn.  <a href="#cc278d166ca69e6a171a2ff12bc74b9f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#72f123ce494815d9871a7ab94bba5d17">createDefinedTexture</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sMaterialName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a texture into an already defined material or one that is created new (it's up to plugin to use a material or create one) Before calling, ensure that needed params have been defined via the stringInterface or regular methods.  <a href="#72f123ce494815d9871a7ab94bba5d17"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#0b6b1db913cfa51bbbcc5ba11263c8fa">destroyAdvancedTexture</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sTextureName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">What this destroys is dependent on the plugin.  <a href="#0b6b1db913cfa51bbbcc5ba11263c8fa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the parameter dictionary for this class.  <a href="#e3e13925bde11db245f6c9bbf5031a93"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#dfedfcc90e1d602ec6fa646d4d90f17f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic parameter setting method.  <a href="#ce884b65b722ead9b920b9abf27bf815"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a> (const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> &amp;paramList)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic multiple parameter setting method.  <a href="#e356913ccefbebc4f0119a0599a406fc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic parameter retrieval method.  <a href="#57397ce47f649e66c5654da05207df0b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a> (<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *dest) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for copying this object's parameters to another object.  <a href="#702af78cbc4869e64c369fb11c4f1eb5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g.  <a href="#1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;className)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for creating a parameter dictionary for the class, if it does not already exist.  <a href="#681773443d95aea05a486c5d22c15bd1"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#c7b64820b5355e6075b1140d57811c60">mPlugInName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command for setting the tecnique, pass, &amp; state level.  <a href="#c7b64820b5355e6075b1140d57811c60"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#55ca5fb3da9c71eab8f8529548248202">mMode</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#3621043aea2f5edcc28032a6013cd5a7">mInputFileName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#44a2d5670f7a876e9dff06d88ce83ae9">mUpdateEveryFrame</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#345bf7d73aff2859ce5628e8f5b484d3">mFramesPerSecond</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a47ef58a0f251bd727291834bf11375e">mTechniqueLevel</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#beb527adefb26d6e594506bf868ae407">mPassLevel</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#ca03d9edd5cb1426ee802d35232341d8">mStateLevel</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#cde1eafee1423e396331809c06e32b56">mDictionaryName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The string name of the dictionary name - each plugin must override default name.  <a href="#cde1eafee1423e396331809c06e32b56"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class name for this instance to be used as a lookup (must be initialised by subclasses).  <a href="#baa2b2c02f22cff7a65ba43b4daea538"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#04017bdaaeb625500ce8a27fda77df33">msCmdInputFile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#b21a7c01aeae747f1bbf0d51f8b29b44">msCmdFramesPerSecond</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command for setting input file name.  <a href="#b21a7c01aeae747f1bbf0d51f8b29b44"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#a7fe34205819a66f3056762657c8aefc">msCmdPlayMode</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command for setting frames per second.  <a href="#a7fe34205819a66f3056762657c8aefc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html#786b5d47bacf959dc09eacc68257d3a6">msCmdTecPassState</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command for setting play mode.  <a href="#786b5d47bacf959dc09eacc68257d3a6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">ParamDictionaryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dictionary of parameters.  <a href="#5e08eb863343f9c60f6ef9344a48075b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from. 
<p>
<a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> specific requirements that the plugin needs to have defined before texture/material creation must be define using the stringinterface before calling create defined texture... or it will fail, though, it is up to the plugin to report errors to the log file, or raise an exception if need be. 
<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00068">68</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0e34ec6e53b5700a266933002bc79304"></a><!-- doxytag: member="Ogre::ExternalTextureSource::ExternalTextureSource" ref="0e34ec6e53b5700a266933002bc79304" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ExternalTextureSource::ExternalTextureSource           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>

</div>
</div><p>
<a class="anchor" name="a919b910a2fbfb4fb250265545730468"></a><!-- doxytag: member="Ogre::ExternalTextureSource::~ExternalTextureSource" ref="a919b910a2fbfb4fb250265545730468" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ExternalTextureSource::~ExternalTextureSource           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Virtual destructor. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00074">74</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ae89efb61be047a316c0baebdee9a7b2"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setInputName" ref="ae89efb61be047a316c0baebdee9a7b2" args="(String sIN)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSource::setInputName           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td>
          <td class="paramname"> <em>sIN</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets an input file name - if needed by plugin. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00109">109</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d196bc06c24c0d17890a760dae247d3d"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getInputName" ref="d196bc06c24c0d17890a760dae247d3d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ExternalTextureSource::getInputName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets currently set input file name. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00111">111</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e13e199734e244f9155e28a4d534cee3"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setFPS" ref="e13e199734e244f9155e28a4d534cee3" args="(int iFPS)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSource::setFPS           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>iFPS</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the frames per second - plugin may or may not use this. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00113">113</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="10eac58cfe245bb52a9c2c61f0b41006"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getFPS" ref="10eac58cfe245bb52a9c2c61f0b41006" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int Ogre::ExternalTextureSource::getFPS           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets currently set frames per second. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00115">115</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6fdbcf165cc87a51d9a6436162e04080"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setPlayMode" ref="6fdbcf165cc87a51d9a6436162e04080" args="(eTexturePlayMode eMode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSource::setPlayMode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a>&nbsp;</td>
          <td class="paramname"> <em>eMode</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets a play mode. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00117">117</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="61b4f8e7e8c76590e0133222645356f6"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getPlayMode" ref="61b4f8e7e8c76590e0133222645356f6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a> Ogre::ExternalTextureSource::getPlayMode           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets currently set play mode. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00119">119</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a19976a1f1c0399882c95e26ece310dc"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setTextureTecPassStateLevel" ref="a19976a1f1c0399882c95e26ece310dc" args="(int t, int p, int s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSource::setTextureTecPassStateLevel           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>s</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Used for attaching texture to <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>, State, and texture unit layer. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00122">122</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="01a93264e389d82bd9f61141f2f07b0c"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getTextureTecPassStateLevel" ref="01a93264e389d82bd9f61141f2f07b0c" args="(int &amp;t, int &amp;p, int &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSource::getTextureTecPassStateLevel           </td>
          <td>(</td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&nbsp;</td>
          <td class="paramname"> <em>s</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get currently selected Textute attribs. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00125">125</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="55ce04b61a516a3e0d4286230f41bb84"></a><!-- doxytag: member="Ogre::ExternalTextureSource::addBaseParams" ref="55ce04b61a516a3e0d4286230f41bb84" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSource::addBaseParams           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Call from derived classes to ensure the dictionary is setup. 
<p>

</div>
</div><p>
<a class="anchor" name="45f4862bcf2bc44a982aa6a0524e5953"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getPlugInStringName" ref="45f4862bcf2bc44a982aa6a0524e5953" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ExternalTextureSource::getPlugInStringName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the string name of this PlugIn (as set by the PlugIn). 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00132">132</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a28903862b13998da8b8b0fb428dfb8e"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getDictionaryStringName" ref="a28903862b13998da8b8b0fb428dfb8e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ExternalTextureSource::getDictionaryStringName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns dictionary name. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00134">134</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a1824ba326c263664991a548fe0658e"></a><!-- doxytag: member="Ogre::ExternalTextureSource::initialise" ref="4a1824ba326c263664991a548fe0658e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::ExternalTextureSource::initialise           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Call this function from manager to init system. 
<p>

</div>
</div><p>
<a class="anchor" name="cc278d166ca69e6a171a2ff12bc74b9f"></a><!-- doxytag: member="Ogre::ExternalTextureSource::shutDown" ref="cc278d166ca69e6a171a2ff12bc74b9f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ExternalTextureSource::shutDown           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Shuts down PlugIn. 
<p>

</div>
</div><p>
<a class="anchor" name="72f123ce494815d9871a7ab94bba5d17"></a><!-- doxytag: member="Ogre::ExternalTextureSource::createDefinedTexture" ref="72f123ce494815d9871a7ab94bba5d17" args="(const String &amp;sMaterialName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ExternalTextureSource::createDefinedTexture           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sMaterialName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a texture into an already defined material or one that is created new (it's up to plugin to use a material or create one) Before calling, ensure that needed params have been defined via the stringInterface or regular methods. 
<p>

</div>
</div><p>
<a class="anchor" name="0b6b1db913cfa51bbbcc5ba11263c8fa"></a><!-- doxytag: member="Ogre::ExternalTextureSource::destroyAdvancedTexture" ref="0b6b1db913cfa51bbbcc5ba11263c8fa" args="(const String &amp;sTextureName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ExternalTextureSource::destroyAdvancedTexture           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sTextureName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
What this destroys is dependent on the plugin. 
<p>
.. See specific plugin doc to know what is all destroyed (normally, plugins will destroy only what they created, or used directly - ie. just texture unit) 
</div>
</div><p>
<a class="anchor" name="681773443d95aea05a486c5d22c15bd1"></a><!-- doxytag: member="Ogre::ExternalTextureSource::createParamDictionary" ref="681773443d95aea05a486c5d22c15bd1" args="(const String &amp;className)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::StringInterface::createParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>className</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for creating a parameter dictionary for the class, if it does not already exist. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method will check to see if a parameter dictionary exist for this class yet, and if not will create one. NB you must supply the name of the class (RTTI is not used or performance). </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>className</em>&nbsp;</td><td>the name of the class using the dictionary </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a new dictionary was created, false if it was already there </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00176">176</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3e13925bde11db245f6c9bbf5031a93"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParamDictionary" ref="e3e13925bde11db245f6c9bbf5031a93" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* Ogre::StringInterface::getParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the parameter dictionary for this class. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only valid to call this after createParamDictionary. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>Pointer to <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> shared by all instances of this class which you can add parameters to, retrieve parameters etc. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00200">200</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3bfa7791753a155b222dfb2706e5218c"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParamDictionary" ref="3bfa7791753a155b222dfb2706e5218c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* Ogre::StringInterface::getParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00213">213</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dfedfcc90e1d602ec6fa646d4d90f17f"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParameters" ref="dfedfcc90e1d602ec6fa646d4d90f17f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a>&amp; Ogre::StringInterface::getParameters           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a list of parameters valid for this object. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection...">ParameterDef</a> objects. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ce884b65b722ead9b920b9abf27bf815"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setParameter" ref="ce884b65b722ead9b920b9abf27bf815" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::StringInterface::setParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic parameter setting method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the parameter to set </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>String value. Must be in the right format for the type specified in the parameter definition. See the <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> class for more information. </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if set was successful, false otherwise (NB no exceptions thrown - tolerant method) </dd></dl>

<p>Referenced by <a class="el" href="OgreStringInterface_8h-source.html#l00300">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e356913ccefbebc4f0119a0599a406fc"></a><!-- doxytag: member="Ogre::ExternalTextureSource::setParameterList" ref="e356913ccefbebc4f0119a0599a406fc" args="(const NameValuePairList &amp;paramList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::StringInterface::setParameterList           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>paramList</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic multiple parameter setting method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>paramList</em>&nbsp;</td><td>Name/value pair list </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="57397ce47f649e66c5654da05207df0b"></a><!-- doxytag: member="Ogre::ExternalTextureSource::getParameter" ref="57397ce47f649e66c5654da05207df0b" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringInterface::getParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic parameter retrieval method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> to convert this string back into a native type. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the parameter to get </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>String value of parameter, blank if not found </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00269">269</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1ParamCommand.html#e47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet()</a>, and <a class="el" href="OgreStringInterface_8h-source.html#l00094">Ogre::ParamDictionary::getParamCommand()</a>.</p>

</div>
</div><p>
<a class="anchor" name="702af78cbc4869e64c369fb11c4f1eb5"></a><!-- doxytag: member="Ogre::ExternalTextureSource::copyParametersTo" ref="702af78cbc4869e64c369fb11c4f1eb5" args="(StringInterface *dest) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::StringInterface::copyParametersTo           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *&nbsp;</td>
          <td class="paramname"> <em>dest</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for copying this object's parameters to another object. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> unrecognised parameters will be ignored as with setParameter method. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>dest</em>&nbsp;</td><td>Pointer to object to have it's parameters set the same as this object. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00300">300</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h-source.html#l00088">Ogre::ParamDictionary::mParamDefs</a>, and <a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><!-- doxytag: member="Ogre::ExternalTextureSource::cleanupDictionary" ref="1bea65fa2b3c2ac5a9f3be59b46a80e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringInterface::cleanupDictionary           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g. 
<p>
<a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>) initializes. 
</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="04017bdaaeb625500ce8a27fda77df33"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdInputFile" ref="04017bdaaeb625500ce8a27fda77df33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">CmdInputFileName</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#04017bdaaeb625500ce8a27fda77df33">Ogre::ExternalTextureSource::msCmdInputFile</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00155">155</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b21a7c01aeae747f1bbf0d51f8b29b44"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdFramesPerSecond" ref="b21a7c01aeae747f1bbf0d51f8b29b44" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">CmdFPS</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#b21a7c01aeae747f1bbf0d51f8b29b44">Ogre::ExternalTextureSource::msCmdFramesPerSecond</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Command for setting input file name. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00156">156</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a7fe34205819a66f3056762657c8aefc"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdPlayMode" ref="a7fe34205819a66f3056762657c8aefc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">CmdPlayMode</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#a7fe34205819a66f3056762657c8aefc">Ogre::ExternalTextureSource::msCmdPlayMode</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Command for setting frames per second. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00157">157</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="786b5d47bacf959dc09eacc68257d3a6"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msCmdTecPassState" ref="786b5d47bacf959dc09eacc68257d3a6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">CmdTecPassState</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#786b5d47bacf959dc09eacc68257d3a6">Ogre::ExternalTextureSource::msCmdTecPassState</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Command for setting play mode. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00158">158</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c7b64820b5355e6075b1140d57811c60"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mPlugInName" ref="c7b64820b5355e6075b1140d57811c60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#c7b64820b5355e6075b1140d57811c60">Ogre::ExternalTextureSource::mPlugInName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Command for setting the tecnique, pass, &amp; state level. 
<p>
String Name of this PlugIn 
<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00162">162</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="55ca5fb3da9c71eab8f8529548248202"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mMode" ref="55ca5fb3da9c71eab8f8529548248202" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">eTexturePlayMode</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#55ca5fb3da9c71eab8f8529548248202">Ogre::ExternalTextureSource::mMode</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00165">165</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3621043aea2f5edcc28032a6013cd5a7"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mInputFileName" ref="3621043aea2f5edcc28032a6013cd5a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#3621043aea2f5edcc28032a6013cd5a7">Ogre::ExternalTextureSource::mInputFileName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00167">167</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="44a2d5670f7a876e9dff06d88ce83ae9"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mUpdateEveryFrame" ref="44a2d5670f7a876e9dff06d88ce83ae9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ExternalTextureSource.html#44a2d5670f7a876e9dff06d88ce83ae9">Ogre::ExternalTextureSource::mUpdateEveryFrame</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00169">169</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="345bf7d73aff2859ce5628e8f5b484d3"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mFramesPerSecond" ref="345bf7d73aff2859ce5628e8f5b484d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#345bf7d73aff2859ce5628e8f5b484d3">Ogre::ExternalTextureSource::mFramesPerSecond</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00171">171</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a47ef58a0f251bd727291834bf11375e"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mTechniqueLevel" ref="a47ef58a0f251bd727291834bf11375e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#a47ef58a0f251bd727291834bf11375e">Ogre::ExternalTextureSource::mTechniqueLevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00171">171</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="beb527adefb26d6e594506bf868ae407"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mPassLevel" ref="beb527adefb26d6e594506bf868ae407" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#beb527adefb26d6e594506bf868ae407">Ogre::ExternalTextureSource::mPassLevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00171">171</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ca03d9edd5cb1426ee802d35232341d8"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mStateLevel" ref="ca03d9edd5cb1426ee802d35232341d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1ExternalTextureSource.html#ca03d9edd5cb1426ee802d35232341d8">Ogre::ExternalTextureSource::mStateLevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00171">171</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cde1eafee1423e396331809c06e32b56"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mDictionaryName" ref="cde1eafee1423e396331809c06e32b56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ExternalTextureSource.html#cde1eafee1423e396331809c06e32b56">Ogre::ExternalTextureSource::mDictionaryName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The string name of the dictionary name - each plugin must override default name. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSource_8h-source.html#l00180">180</a> of file <a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5e08eb863343f9c60f6ef9344a48075b"></a><!-- doxytag: member="Ogre::ExternalTextureSource::msDictionary" ref="5e08eb863343f9c60f6ef9344a48075b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">ParamDictionaryMap</a> <a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">Ogre::StringInterface::msDictionary</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dictionary of parameters. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00161">161</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="baa2b2c02f22cff7a65ba43b4daea538"></a><!-- doxytag: member="Ogre::ExternalTextureSource::mParamDictName" ref="baa2b2c02f22cff7a65ba43b4daea538" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">Ogre::StringInterface::mParamDictName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Class name for this instance to be used as a lookup (must be initialised by subclasses). 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00164">164</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreExternalTextureSource_8h-source.html">OgreExternalTextureSource.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:40 2008
</p>
</body>
</html>
